aboutsummaryrefslogtreecommitdiff
path: root/scripts/hostclass/desktop
diff options
context:
space:
mode:
authorCullum Smith <cullum@sacredheartsc.com>2024-10-18 16:51:00 -0400
committerCullum Smith <cullum@sacredheartsc.com>2024-10-18 16:51:00 -0400
commit02ae0cb64f08938f3b01b5ed69293d705b0a7279 (patch)
tree0ceeb80e7b268c772171d441b12e2ec50c88fa2a /scripts/hostclass/desktop
parent5ef2aed3f3961b72699d9881ed09560f4d01371a (diff)
downloadinfrastructure-02ae0cb64f08938f3b01b5ed69293d705b0a7279.tar.gz
cleanup
Diffstat (limited to 'scripts/hostclass/desktop')
-rw-r--r--scripts/hostclass/desktop7
1 files changed, 5 insertions, 2 deletions
diff --git a/scripts/hostclass/desktop b/scripts/hostclass/desktop
index 148b596..f0316e4 100644
--- a/scripts/hostclass/desktop
+++ b/scripts/hostclass/desktop
@@ -157,7 +157,7 @@ case $graphics_type in
load_kernel_module i915kms
set_loader_conf \
compat.linuxkpi.i915_enable_fbc=1 \
- compat.linuxkpi.i915_fastboot=1 \
+ compat.linuxkpi.i915_fastboot=1
;;
esac
@@ -227,5 +227,8 @@ EOF
# Start login manager.
case $desktop_type in
- kde) service sddm status || service sddm start > /dev/null 2>&1 < /dev/null || die 'failed to start sddm' ;;
+ kde)
+ # We have to redirect the output here because sddm holds FDs open :(
+ service sddm status || service sddm start > /dev/null 2>&1 < /dev/null || die 'failed to start sddm'
+ ;;
esac